HTML::TD Class Reference

`#include <HtmlBuilder.h>`

Inheritance diagram for HTML::TD:
[legend]
Collaboration diagram for HTML::TD:
[legend]

## Public Member Functions

| TD (std::ostream &stream)
TD & | align (const std::string &value)
Public Member Functions inherited from HTML::TAG
| TAG (const std::string &tag, std::ostream &stream)
virtual | ~TAG ()
TAG & | text ()
TAG & | text (const std::string &value)
TAG & | text (int value)

## Additional Inherited Members

Protected Attributes inherited from HTML::TAG
std::ostream & | m_stream

## Detailed Description

Definition at line 161 of file HtmlBuilder.h.

## Constructor & Destructor Documentation

## TD()

HTML::TD::TD | ( | std::ostream & | stream | ) |

inline

Definition at line 164 of file HtmlBuilder.h.

: TAG( "TD", stream ) {}
HTML::TAG::TAG
TAG(const std::string &tag, std::ostream &stream)
Definition: HtmlBuilder.h:36

## Member Function Documentation

## align()

TD& HTML::TD::align | ( | const std::string & | value | ) |

inline

Definition at line 167 of file HtmlBuilder.h.

{ m_stream << " align='" << value << "'"; return *this; }
HTML::TAG::m_stream
std::ostream & m_stream
Definition: HtmlBuilder.h:60

References HTML::TAG::m_stream.

Referenced by FIX::HttpConnection::processRoot().

The documentation for this class was generated from the following file:

- HtmlBuilder.h